function [] = runDemo(corArrDB, clickDBtimeMs, cntArr525, startClickNr, endClickNr)
    
    frameRate = 30;
    res = 2; % 2
    
    if res == 1
        movi = 'vidInp/oSmall.mov'; % 120:80
    else
        movi = 'vidInp/o.mov'; % 240:160
    end
    vidfileOut = VideoWriter('vidOut/testmov', 'Uncompressed AVI');  
    vidfileOut.FrameRate = frameRate;
    open(vidfileOut); % UT
    
    startSample = 525*corArrDB{startClickNr,1}/1000 + 1;
    endSample = 525*corArrDB{endClickNr,1}/1000;
    
    figure(4);clf;
    set(gcf,'Position',[100 100 1280 720],'numberTitle','off');
    fprintf(1, "\n");
    
    
    fs = 525; %44100;
    
    vidObj = VideoReader(movi); % IN
    % fs2 = 44100/speedDiv;  
    
    % Gulv - sjakkmønster
    [F, V] = polyQuadFloor(11, 11);
    cV = 0.2*ones(11*11, 3);
    for i = 1 : 2 : 11*11
        cV(i, :) = [0.9 0.9 0.9];
    end
    plotPoly(F, 10*V, 'dark', 'col', cV, 'backCol', [0.1 0.1 0.1]);
    
    % Soyle
    load 'grafikk/soyle.mat';
    plotPoly(F, 4*V+[-11/2 0 0], 'dark', 'col', [0.8 0.8 0.8], 'edgeOff', 'backCol', [0.1 0.1 0.1]);
    plotPoly(F, 4*V+[11/2 0 0], 'dark', 'col', [0.8 0.8 0.8], 'edgeOff', 'backCol', [0.1 0.1 0.1]);
    
    % Agent
    [F, V] = agent1axVid(0);
    V1 = 4*V+[-11/2 0 4];
    V2 = 4*V+[11/2 0 4];
    coll = ones(size(F,1), 3) .* [0.2 0.2 0.8] ;
    coll(1:4:end, :) = coll(1:4:end, :) .* [0 0 0] + [0.8 0.8 0.8];
    ha1 = plotPoly(F, V1, 'dark', 'col', coll, 'edgeOff', 'backCol', [0.1 0.1 0.1]);
    ha2 = plotPoly(F, V2, 'dark', 'col', coll, 'edgeOff', 'backCol', [0.1 0.1 0.1]);
    
    % Lerret
    [F, V] = polyQuadFloor(120*res, 80*res); V = 6*(rotx(90)*V')' + [0 10 5];
    hl = plotPoly(F, V, 'col', rand(120*80*res*res, 3), 'dark', 'edgeOff');
    
    view(20,12);
    axis([-6.3269    6.4031   -7.0306    5.6994    1.7398    7.4889]);
    
    ccOld = 0;
    for s = startSample : fs/frameRate : endSample % manuell intastn evt s = cl2sa(corStrArr, 64) : floor(fs/frameRate) : cl2sa(corStrArr, 75) % manuell intastn

        ccc = findNermesteDBnedover(s, clickDBtimeMs);
        if ccc > ccOld
            set(gcf,'name',num2str(ccc));
            ccOld = ccc;
        end
        
        % Agent
        [~, V] = agent1axVid(cntArr525(floor(s), 1));
        V1 = 4*V+[-11/2 0 4];
        set(ha1, 'Vertices', V1);
        
        [~, V] = agent1axVid(cntArr525(floor(s), 2));
        V2 = 4*V+[11/2 0 4];
        set(ha2, 'Vertices', V2);
        
        % Video in
        vidObj.CurrentTime = floor(s)/fs;
        frame = readFrame(vidObj); frame = flipud(frame); frame = permute(frame,[2 1 3]);
        co1 = double(squeeze(reshape(frame,[], 80*120*res*res,3))); co1 = co1/max(max(co1));
        set(hl, 'FaceVertexCData', co1);
        %pause(0.1);
        drawnow;
        frame= getframe(gcf);
        writeVideo(vidfileOut, frame);
    end
    close(vidfileOut);
    
    fprintf(1, "\n");
    %close(4);
    figure(1);
end

%X   ffmpeg -y -i testmov.avi -ss 0 -i mus.wav -vcodec libx265 -crf 23 -shortest output.mp4
%R   ffmpeg -y -i testmov.avi -ss 0 -i mus.wav -vcodec libx265 -crf 23 -shortest -vf vflip output.mp4





% ffmpeg -i Zorg.mp4 -vf scale=240:160 -c:v mjpeg -q:v 3 -an o.mov
% ffmpeg -i Zorg.mp4 -vf scale=120:80 -c:v mjpeg -q:v 3 -an oSmall.mov
